curl 'https://scheduler.booper.dev/api/schedules' \
--header 'Authorization: Bearer sk_public_20230921'
npx @booper/cli schedules list
{
"data": [
{
"id": "67a64bd8-f4d7-43bf-9ce5-6ba12f03665e",
"name": null,
"description": null,
"inserted_at": "2023-08-27T02:11:19",
"disabled_at": "2023-08-27T23:27:23Z",
"user_id": "bd2aa099-6eb7-4dbb-9178-32141def1355"
"frequency": {
"repeat_every": [2, "minutes"]
},
"args": {
"body": {
"channel": "toast",
"content": "Hello world!"
},
"headers": {},
"method": "post",
"repeat_every": [2, "minutes"],
"schedule_in": [30, "seconds"],
"url": "https://scheduler.booper.dev/api/broadcast"
}
}
]
}
Schedules
List Schedules
This endpoint retrieves job schedules.
GET
/
api
/
schedules
curl 'https://scheduler.booper.dev/api/schedules' \
--header 'Authorization: Bearer sk_public_20230921'
npx @booper/cli schedules list
{
"data": [
{
"id": "67a64bd8-f4d7-43bf-9ce5-6ba12f03665e",
"name": null,
"description": null,
"inserted_at": "2023-08-27T02:11:19",
"disabled_at": "2023-08-27T23:27:23Z",
"user_id": "bd2aa099-6eb7-4dbb-9178-32141def1355"
"frequency": {
"repeat_every": [2, "minutes"]
},
"args": {
"body": {
"channel": "toast",
"content": "Hello world!"
},
"headers": {},
"method": "post",
"repeat_every": [2, "minutes"],
"schedule_in": [30, "seconds"],
"url": "https://scheduler.booper.dev/api/broadcast"
}
}
]
}
Query
Limits the number of schedules returned in the query. (Max 100)
Offsets the logs returned in the query for pagination.
The field to order by. Defaults to most recently created.
Headers
API key
curl 'https://scheduler.booper.dev/api/schedules' \
--header 'Authorization: Bearer sk_public_20230921'
npx @booper/cli schedules list
{
"data": [
{
"id": "67a64bd8-f4d7-43bf-9ce5-6ba12f03665e",
"name": null,
"description": null,
"inserted_at": "2023-08-27T02:11:19",
"disabled_at": "2023-08-27T23:27:23Z",
"user_id": "bd2aa099-6eb7-4dbb-9178-32141def1355"
"frequency": {
"repeat_every": [2, "minutes"]
},
"args": {
"body": {
"channel": "toast",
"content": "Hello world!"
},
"headers": {},
"method": "post",
"repeat_every": [2, "minutes"],
"schedule_in": [30, "seconds"],
"url": "https://scheduler.booper.dev/api/broadcast"
}
}
]
}
⌘I